<?php
include('../configuracion.php');

// Comprobamos que efectivamente se hayan enviado datos desde el formulario
if(!@$_POST) exit();

$_POST['administrador_email_mago'] = isset($_POST['administrador_email_mago']) ? $_POST['administrador_email_mago'] : NULL;


// Limpiamos los datos recibidos
$email = funcion::limpiar($_POST['administrador_email_mago']);
$email = strtolower($email);


$usuario = $db->row('administradores','id, nombre, usuario, email, clave',"email='{$email}'");


if($usuario){

   $str1 = 'abcdefghijklmnopqrstuvwxyz1234567890';
      $chars = array();
    for($i=0;$i<strlen($str1);$i++){
      $chars[] = substr($str1,$i,1);
    }
    shuffle($chars);
    $clave = NULL;
    $i=0;
    while($i<8){
      if($i<3) $clave.= $chars[$i];
      if($i>2) $clave.= rand(1,9);
      $i++;
    }


$clave_original = $clave;
$clave = funcion::encriptar($clave);
$email = $usuario->email;
$nombre = $usuario->nombre;
$username = $usuario->usuario;
$id_usuario = $usuario->id;





//Subimos la información a la base de datos
$datos = array(
  'clave' => $db->string($clave)
);

$db->update('administradores',$datos,"id='{$id_usuario}'");





  // Incluimos la clase PHPMailer
  require "class.phpmailer.php";
  require_once "../emails/email-recuperar-contrasena.php";

  header("Location:".MAGO."?pass=true");
  exit;

}else{

  header("Location:".MAGO."?pass=false");
  exit;
}

?>